<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBookLink Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d4a/class_expansion_book_link.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBookLink Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a142d59520c745004e03f4e823f5a8c28"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d4a/class_expansion_book_link.html#a142d59520c745004e03f4e823f5a8c28">ExpansionBookLink</a> (string name, string url, string iconName, int iconColor)</td></tr>
<tr class="separator:a142d59520c745004e03f4e823f5a8c28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a4cf166ebfbbb049f79cb1ed278a9ef2b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d4a/class_expansion_book_link.html#a4cf166ebfbbb049f79cb1ed278a9ef2b">Name</a></td></tr>
<tr class="separator:a4cf166ebfbbb049f79cb1ed278a9ef2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ee3f3db561a1392286b5a112bc618c6"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d4a/class_expansion_book_link.html#a0ee3f3db561a1392286b5a112bc618c6">URL</a></td></tr>
<tr class="separator:a0ee3f3db561a1392286b5a112bc618c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1e466d1317e4707e9fbafdc0620ed1a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d4a/class_expansion_book_link.html#ac1e466d1317e4707e9fbafdc0620ed1a">IconName</a></td></tr>
<tr class="separator:ac1e466d1317e4707e9fbafdc0620ed1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f9b7826e91e310245a6d9ec6134e570"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d4a/class_expansion_book_link.html#a6f9b7826e91e310245a6d9ec6134e570">IconColor</a></td></tr>
<tr class="separator:a6f9b7826e91e310245a6d9ec6134e570"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d0/d43/expansionbooklink_8c.html">ExpansionBookLink.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html#l00013">13</a> of file <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a142d59520c745004e03f4e823f5a8c28" name="a142d59520c745004e03f4e823f5a8c28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a142d59520c745004e03f4e823f5a8c28">&#9670;&#160;</a></span>ExpansionBookLink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookLink::ExpansionBookLink </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>iconName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iconColor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html#l00020">20</a> of file <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a6f9b7826e91e310245a6d9ec6134e570" name="a6f9b7826e91e310245a6d9ec6134e570"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f9b7826e91e310245a6d9ec6134e570">&#9670;&#160;</a></span>IconColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionBookLink::IconColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html#l00018">18</a> of file <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a>.</p>

</div>
</div>
<a id="ac1e466d1317e4707e9fbafdc0620ed1a" name="ac1e466d1317e4707e9fbafdc0620ed1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1e466d1317e4707e9fbafdc0620ed1a">&#9670;&#160;</a></span>IconName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionBookLink::IconName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html#l00017">17</a> of file <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a>.</p>

</div>
</div>
<a id="a4cf166ebfbbb049f79cb1ed278a9ef2b" name="a4cf166ebfbbb049f79cb1ed278a9ef2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cf166ebfbbb049f79cb1ed278a9ef2b">&#9670;&#160;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionBookLink::Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html#l00015">15</a> of file <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a>.</p>

</div>
</div>
<a id="a0ee3f3db561a1392286b5a112bc618c6" name="a0ee3f3db561a1392286b5a112bc618c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ee3f3db561a1392286b5a112bc618c6">&#9670;&#160;</a></span>URL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionBookLink::URL</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html#l00016">16</a> of file <a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/3_game/dayzexpansion_book/settings/book/serverinfo/<a class="el" href="../../d0/d43/expansionbooklink_8c_source.html">expansionbooklink.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d4a/class_expansion_book_link.html">ExpansionBookLink</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
